<template>
  <div class="contenido">
      <vue-headful title="Hack a Market | Registrar" />
    <h1>Formulario para añadir nuevo cliente:</h1>
    <p v-show="errorMsg">*Tienes campos vacios</p>
<center>
    <input class="input1" type="text" v-model="nombre" placeholder="Nombre" />
    <br />
    <input type="text" v-model="usuario" placeholder="Usuario" />
    <br />
    <input type="text" v-model="password" placeholder="Password" />
    <br />
    <input type="text" v-model="email" placeholder="e-mail" />
    <br />
    <input type="text" v-model="foto" placeholder="Foto" />
    <br />
    </center>
    <button @click="validatingData()">Añadir nuevo cliente</button>
  </div>
</template>

<script>
import axios from "axios";
import Swal from "sweetalert2";

export default {
  name: "Registrar",
  data() {
    return {
      nombre: "",
      usuario: "",
      password: "",
      email: "",
      foto: "",
      createClient: false,
      errorMsg: false
    };
  },
  methods: {
    validatingData() {
      if (
        this.nombre === "" ||
        this.usuario === "" ||
        this.password === "" ||
        this.email === "" ||
        this.foto === ""
      ) {
        //alert('No puedes dejar campos vacios')
        this.errorMsg = true;
        this.createClient = false;
      } else {
        this.createClient = true;
        this.errorMsg = false;
        this.addNewClient();
      }
    },
    addNewClient() {
      if (this.createClient === true) {
        var self = this;
        axios
          .post("http://localhost:3308/add", {
            nombre: self.nombre,
            usuario: self.usuario,
            password: self.password,
            email: self.email,
            foto: self.foto
          })
          .then(function(response) {
            console.log(response);
          })
          .catch(function(error) {
            console.log(error);
          });
        Swal.fire("Buena!", "Has añadido un nuevo cliente!", "guay");
        this.createClient = false;
        this.nombre = "";
        this.usuario = "";
        this.password = "";
        this.email = "";
        this.foto = "";
      } else {
        console.log("Yo no debería estar aquí");
      }
    }
  }
};
</script>

<style scoped>
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap');

.contenido {
  
  font-family: 'Source Sans Pro', sans-serif;
  padding-top: 130px;
  text-align: center;
}

div {
  text-align: center;
}

ul {
  text-align: center;
  list-style: none;
  padding-inline-start: 0px;
}

li {
  line-height: auto;
}

.title {
  grid-area: d;
  text-align: center;
}
.item1 {
  grid-area: a;
  text-align: center;
  padding: 15px;
  background-color: whitesmoke;
}
.item2 {
  grid-area: b;
}
.centrado {
  text-align: center;
  width: 400px;
}

input {  
  text-align: left;
  padding: 8px;
  display: block;
  border: none;
  border-bottom: 1px solid #ccc;
  width: 400px;
}

button {
  background-color: green;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 22px;
  margin: 4px 2px;
  cursor: pointer;
  margin-bottom: 100px;
}
</style>